메인 콘텐츠로 건너뛰기
POST
/
2
/
dm_conversations
/
{dm_conversation_id}
/
messages
대화 ID로 DM 메시지 생성
curl --request POST \
  --url https://api.x.com/2/dm_conversations/{dm_conversation_id}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>",
  "attachments": [
    {
      "media_id": "1146654567674912769"
    }
  ]
}
'
{
  "data": {
    "dm_conversation_id": "123123123-456456456",
    "dm_event_id": "1146654567674912769"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

The access token received from the authorization server in the OAuth 2.0 flow.

경로 매개변수

dm_conversation_id
string
필수

DM 대화의 ID입니다.

본문

application/json
text
string
필수

메시지의 텍스트입니다.

Minimum string length: 1
attachments
object[]

DM 이벤트에 대한 첨부 파일입니다.

응답

요청이 성공했습니다.

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체